summaryrefslogtreecommitdiffstats
path: root/system/mrxvt
diff options
context:
space:
mode:
author Paul Wisehart <wise@lupulin.net>2010-05-11 15:18:41 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:41 +0200
commitee6d106d6a907b3e155bf44ee6a8d9a561a8b74a (patch)
treec72b2cdc3c95b2e460ec96061064492c74bf945b /system/mrxvt
parente1471001dc486730939676695fb5db1430c4516a (diff)
downloadslackbuilds-ee6d106d6a907b3e155bf44ee6a8d9a561a8b74a.tar.gz
slackbuilds-ee6d106d6a907b3e155bf44ee6a8d9a561a8b74a.tar.xz
system/mrxvt: Initial import
Diffstat (limited to 'system/mrxvt')
-rw-r--r--system/mrxvt/README6
-rw-r--r--system/mrxvt/doinst.sh22
-rw-r--r--system/mrxvt/mrxvt.SlackBuild106
-rw-r--r--system/mrxvt/mrxvt.desktop12
-rw-r--r--system/mrxvt/mrxvt.info8
-rw-r--r--system/mrxvt/no_debug_x.patch13
-rw-r--r--system/mrxvt/slack-desc11
7 files changed, 178 insertions, 0 deletions
diff --git a/system/mrxvt/README b/system/mrxvt/README
new file mode 100644
index 0000000000..cd612aac35
--- /dev/null
+++ b/system/mrxvt/README
@@ -0,0 +1,6 @@
+Mrxvt (previously named materm) is a lightweight, powerful multi-tabbed
+terminal emulator for the X window system. mrxvt is based on rxvt
+version 2.7.11 CVS and aterm. It implements many useful features seen
+in some modern X terminal emulators (like gnome-terminal and konsole)
+but aims to be fast, lightweight and independent of standard toolkits
+or desktop environments (e.g. Gnome / KDE).
diff --git a/system/mrxvt/doinst.sh b/system/mrxvt/doinst.sh
new file mode 100644
index 0000000000..5c2cb485e8
--- /dev/null
+++ b/system/mrxvt/doinst.sh
@@ -0,0 +1,22 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/mrxvt/default.menu.new
+config etc/mrxvt/submenus.menu.new
+config etc/mrxvt/mrxvtrc.new
+config etc/mrxvt/mrxvtrc.sample.new
+
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/system/mrxvt/mrxvt.SlackBuild b/system/mrxvt/mrxvt.SlackBuild
new file mode 100644
index 0000000000..3c5ef314a8
--- /dev/null
+++ b/system/mrxvt/mrxvt.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+### mrxvt.SlackBuild ###
+
+# Slackware build script for mrxvt 0.5.2
+# Copyright (C) 2006 paul wisehart wise@lupulin.net
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+PKGNAME=mrxvt
+VERSION=0.5.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PKGNAME
+OUTPUT=${OUTPUT:-/tmp} # Final location of package
+
+# Number of lines to save in scroll buffer
+# The default if not specified in configure is 100, but I can't
+# imagine this being enough for any real usage of a terminal emulator
+SAVELINES=500
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PKGNAME-$VERSION
+tar -xvzf $CWD/$PKGNAME-$VERSION.tar.gz || exit 1
+cd $PKGNAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+cat $CWD/no_debug_x.patch | patch -p0 --verbose || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-save-lines=$SAVELINES \
+ --enable-xft \
+ --enable-xim \
+ --enable-text-shadow \
+ --enable-utempter \
+ --enable-menubar \
+ --disable-debug \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PKGNAME-$VERSION
+mv $PKG/usr/share/doc/$PKGNAME/* $PKG/usr/doc/$PKGNAME-$VERSION/
+rmdir $PKG/usr/share/doc/$PKGNAME
+( cd $PKG/usr/doc/$PKGNAME-$VERSION
+ for i in *.bz2 ; do
+ bunzip2 $i ;
+ done
+)
+cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
+
+# Add an mrxvt.desktop entry
+mkdir -p $PKG/usr/share/applications
+cat $CWD/mrxvt.desktop > $PKG/usr/share/applications/mrxvt.desktop
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Let's not clobber existing config files
+for i in \
+ $PKG/etc/mrxvt/default.menu $PKG/etc/mrxvt/submenus.menu \
+ $PKG/etc/mrxvt/mrxvtrc $PKG/etc/mrxvt/mrxvtrc.sample ;
+ do mv $i $i.new ;
+done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/mrxvt/mrxvt.desktop b/system/mrxvt/mrxvt.desktop
new file mode 100644
index 0000000000..89a0548d0c
--- /dev/null
+++ b/system/mrxvt/mrxvt.desktop
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Encoding=UTF-8
+Version=1.0
+Name=mrxvt
+Comment=Terminal Emulator
+GenericName=Terminal Emulator
+Exec=mrxvt
+Icon=/usr/share/pixmaps/mrxvt.png
+Terminal=false
+Type=Application
+Categories=System;TerminalEmulator;Utility;
+StartupNotify=true
diff --git a/system/mrxvt/mrxvt.info b/system/mrxvt/mrxvt.info
new file mode 100644
index 0000000000..98d70cff33
--- /dev/null
+++ b/system/mrxvt/mrxvt.info
@@ -0,0 +1,8 @@
+PRGNAM="mrxvt"
+VERSION="0.5.2"
+HOMEPAGE="http://materm.sourceforge.net/wiki/Main/HomePage"
+DOWNLOAD="http://dl.sourceforge.net/sourceforge/materm/mrxvt-0.5.2.tar.gz"
+MD5SUM="ed87b7dd9f4fb482de0f14f085085027"
+MAINTAINER="Paul Wisehart"
+EMAIL="wise@lupulin.net"
+APPROVED="robw810"
diff --git a/system/mrxvt/no_debug_x.patch b/system/mrxvt/no_debug_x.patch
new file mode 100644
index 0000000000..ca2f9789c9
--- /dev/null
+++ b/system/mrxvt/no_debug_x.patch
@@ -0,0 +1,13 @@
+Index: src/init.c
+===================================================================
+--- src/init.c (revision 195)
++++ src/init.c (working copy)
+@@ -41,7 +41,7 @@
+ # define DEBUG_X
+ #else
+ # define DEBUG_LEVEL 0
+-# define DEBUG_X
++# undef DEBUG_X
+ #endif
+
+ #if DEBUG_LEVEL
diff --git a/system/mrxvt/slack-desc b/system/mrxvt/slack-desc
new file mode 100644
index 0000000000..7a932c0ede
--- /dev/null
+++ b/system/mrxvt/slack-desc
@@ -0,0 +1,11 @@
+mrxvt: mrxvt terminal emulator
+mrxvt:
+mrxvt: Mrxvt (previously named materm) is a lightweight, powerful
+mrxvt: multi-tabbed terminal emulator for the X window system. mrxvt is
+mrxvt: based on rxvt version 2.7.11 CVS and aterm. It implements many
+mrxvt: useful features seen in some modern X terminal emulators (like
+mrxvt: gnome-terminal and konsole) but aims to be fast, lightweight and
+mrxvt: independent of standard toolkits or desktop environments
+mrxvt: (e.g. Gnome / KDE).
+mrxvt:
+mrxvt: